Users
Get Current User's ACL
Gets the access control list (ACL) information for the current user’s profile.
GET
/
v2.0
/
users
/
me
/
acl
Get Current User's ACL
curl --request GET \
--url https://api-trial.cognigy.ai/new/v2.0/users/me/acl \
--header 'X-API-Key: <api-key>'import requests
url = "https://api-trial.cognigy.ai/new/v2.0/users/me/acl"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api-trial.cognigy.ai/new/v2.0/users/me/acl', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"organisationWide": {
"rights": {
"analyticsOdata": {
"create": true,
"read": true,
"update": true,
"delete": true
},
"apiKeys": {
"create": true,
"read": true,
"update": true,
"delete": true
},
"auditEvents": {
"create": true,
"read": true,
"update": true,
"delete": true
},
"liveAgentAccount": {
"create": true,
"read": true,
"update": true,
"delete": true
},
"projects": {
"create": true,
"read": true,
"update": true,
"delete": true
},
"userDetails": {
"create": true,
"read": true,
"update": true,
"delete": true
},
"users": {
"create": true,
"read": true,
"update": true,
"delete": true
},
"connections": {
"create": true,
"read": true,
"update": true,
"delete": true
},
"contactProfiles": {
"create": true,
"read": true,
"update": true,
"delete": true
},
"conversationHistory": {
"create": true,
"read": true,
"update": true,
"delete": true
},
"endpoints": {
"create": true,
"read": true,
"update": true,
"delete": true
},
"extensions": {
"create": true,
"read": true,
"update": true,
"delete": true
},
"flowNodeComments": {
"create": true,
"read": true,
"update": true,
"delete": true
},
"flowNodeDescription": {
"create": true,
"read": true,
"update": true,
"delete": true
},
"flowNodes": {
"create": true,
"read": true,
"update": true,
"delete": true
},
"flows": {
"create": true,
"read": true,
"update": true,
"delete": true
},
"intents": {
"create": true,
"read": true,
"update": true,
"delete": true
},
"knowledgeStores": {
"create": true,
"read": true,
"update": true,
"delete": true
},
"lexicons": {
"create": true,
"read": true,
"update": true,
"delete": true
},
"liveAgentInbox": {
"create": true,
"read": true,
"update": true,
"delete": true
},
"locales": {
"create": true,
"read": true,
"update": true,
"delete": true
},
"logs": {
"create": true,
"read": true,
"update": true,
"delete": true
},
"memberDetails": {
"create": true,
"read": true,
"update": true,
"delete": true
},
"members": {
"create": true,
"read": true,
"update": true,
"delete": true
},
"goals": {
"create": true,
"read": true,
"update": true,
"delete": true
},
"nluConnectors": {
"create": true,
"read": true,
"update": true,
"delete": true
},
"playbooks": {
"create": true,
"read": true,
"update": true,
"delete": true
},
"project": {
"create": true,
"read": true,
"update": true,
"delete": true
},
"projectSettings": {
"create": true,
"read": true,
"update": true,
"delete": true
},
"snapshots": {
"create": true,
"read": true,
"update": true,
"delete": true
},
"states": {
"create": true,
"read": true,
"update": true,
"delete": true
},
"tasks": {
"create": true,
"read": true,
"update": true,
"delete": true
},
"tokens": {
"create": true,
"read": true,
"update": true,
"delete": true
},
"voiceGatewayAccount": {
"create": true,
"read": true,
"update": true,
"delete": true
}
},
"roles": []
},
"projectWide": {}
}{
"type": "Bad Request",
"title": "Bad Request Error",
"status": 400,
"detail": "Validation failed. Missing payload.",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Unauthorized",
"title": "Unauthorized Error",
"status": 401,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 401,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Payment Required",
"title": "Payment Required Error",
"status": 402,
"detail": "Validation failed. Missing payload.",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 402,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Forbidden",
"title": "Forbidden Error",
"status": 403,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Not Found",
"title": "Not Found Error",
"status": 404,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {},
"logLevel": "error"
}{
"type": "Method Not Allowed",
"title": "Method Not Allowed Error",
"status": 405,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Conflict",
"title": "Conflict Error",
"status": 409,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1004,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Payload Too Large",
"title": "Payload Too Large Error",
"status": 413,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Internal Server Error",
"title": "Internal Server Error",
"status": 500,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Not Implemented",
"title": "Not Implemented Error",
"status": 501,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1009,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Bad Gateway",
"title": "Bad Gateway Error",
"status": 502,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Service Unavailable",
"title": "Service Unavailable Error",
"status": 503,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 503,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Gateway Timeout",
"title": "Gateway Timeout Error",
"status": 504,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}Authorizations
APIKeyHeaderAPIKeyQueryParamCXoneTokenHeaderOAuth2
Supply the API Key in the HTTP-Header
Headers
The Accept header specifies the media type that the client expects in the response. Available options: application/json, application/hal+json, application/xml, text/xml, text/csv. The default value is application/json.
Available options:
application/json, application/hal+json, application/xml, text/xml, text/csv Last modified on July 22, 2026
Previous
Get API Keys of the Current UserGets API keys of the current user. By default, 25 API keys are returned. To change this value, use the `limit` query parameter. Additionally, you can filter, sort, and paginate the results.
Next
⌘I
Get Current User's ACL
